Next: iswlower, Previous: iswdigit, Up: Ctype [Contents][Index]

### 3.21 `iswgraph`, `iswgraph_l`—graphic wide character test

Synopsis

    #include <wctype.h>
    int iswgraph(wint_t c);

    #include <wctype.h>
    int iswgraph_l(wint_t c, locale_t locale);

Description
`iswgraph` is a function which classifies wide-character values that are graphic.

`iswgraph_l` is like `iswgraph` but performs the check based on the locale specified by the locale object locale. If locale is LC_GLOBAL_LOCALE or not a valid locale object, the behaviour is undefined.

Returns
`iswgraph`, `iswgraph_l` return non-zero if c is a graphic wide character.

Portability
`iswgraph` is C99. `iswgraph_l` is POSIX-1.2008.

No supporting OS subroutines are required.